Name:		gprolog
Summary:	GNU Prolog is a free implementation of Prolog
Version:	1.4.5
Release:	%mkrel 4
License:	GPLv2
Group:		Development/Other
URL:		http://www.gprolog.org/
Source0:	http://gprolog.univ-paris1.fr/gprolog-%{version}.tar.gz
Patch0:		gprolog-1.4.4-disable-silent-make-check.patch
ExclusiveArch:	%{ix86} x86_64 amd64 ppc

%description
GNU Prolog is a native Prolog compiler with constraint solving over finite
domains (FD) developed by Daniel Diaz. Latest information about GNU Prolog can
be found at http://www.gnu.org/software/prolog.
A lot of work has been devoted to the ISO compatibility. GNU Prolog is very
close to the ISO standard (http://www.logic-programming.org/prolog_std.html).


%prep
%setup -q
%autopatch -p1

%build
cd src
%define _legacy_common_support 1
CFLG="$(echo %{optflags} | sed -s "s/\-O2/-O1/g" \
		| sed -e "s/\-fomit-frame-pointer//")"

# Based on a gentoo ebuild (??)
CFLG="$CFLG -funsigned-char"
%configure	--with-c-flags="$CFLG -fno-unit-at-a-time" \
		--with-install-dir=%{_prefix} \
		--with-doc-dir=%{_datadir}/%{name}-%{version} \
		--with-html-dir=%{_datadir}/%{name}-%{version}/html \
		--with-examples-dir=%{_datadir}/%{name}-%{version}/examples

# parallel build is not safe
%__make

%check
cd src
#
export PATH=%{buildroot}%{_bindir}:$PATH
#
%__make check

%install
%make_install -C src install-system INSTALL_DIR=%{buildroot}%{_libdir}/%{name}-%{version}

(cd %{buildroot}%{_bindir} ; ln -sf ../%{_lib}/%{name}-%{version}/bin/* .)


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{distribution}-%{name}.desktop << EOF
[Desktop Entry]
Name=GNU Prolog
Comment=GNU Prolog is a free implementation of Prolog
Exec=%{name}
Icon=interpreters_section
Terminal=true
Type=Application
Categories=Development;Science;ComputerScience;
EOF


%files
%doc ChangeLog NEWS PROBLEMS README doc/html_node
%{_bindir}/*
%{_libdir}/%{name}-%{version}/
%{_datadir}/applications/*
%{_datadir}/%{name}-%{version}/


%changelog
* Sun Jun 28 2020 joequant <joequant> 1.4.5-4.mga8
+ Revision: 1599893
- fix gcc10 patch

* Tue Feb 11 2020 umeabot <umeabot> 1.4.5-3.mga8
+ Revision: 1488920
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 24 2018 daviddavid <daviddavid> 1.4.5-2.mga7
+ Revision: 1253765
- new version: 1.4.5
+ kekepower <kekepower>
- Use %%__

* Mon Feb 08 2016 umeabot <umeabot> 1.4.4-5.mga6
+ Revision: 945554
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.4-4.mga5
+ Revision: 739005
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.4-3.mga5
+ Revision: 679917
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 malo <malo> 1.4.4-2.mga5
+ Revision: 666085
- fix desktop category (mga#3635)

* Sun Jul 21 2013 malo <malo> 1.4.4-1.mga4
+ Revision: 456649
- update to 1.4.4

* Fri Apr 05 2013 malo <malo> 1.4.3-1.mga3
+ Revision: 408349
- update to 1.4.3

* Sat Jan 12 2013 umeabot <umeabot> 1.4.2-2.mga3
+ Revision: 352537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 malo <malo> 1.4.2-1.mga3
+ Revision: 332213
- new version 1.4.2

* Tue Jul 03 2012 malo <malo> 1.4.1-1.mga3
+ Revision: 266979
- spec clean-up
- update to 1.4.1

* Sun Sep 25 2011 shlomif <shlomif> 1.4.0-1.mga2
+ Revision: 147811
- New version - thanks to Malo

* Sun Jan 09 2011 blino <blino> 1.3.1-3.mga1
+ Revision: 2977
- rename desktop file
- remove old update_menus scriptlets
- imported package gprolog

